Skip to main content
POST
/
v1
/
organizations
/
{org_id}
/
members
Add Organization Member
curl --request POST \
  --url https://api.letpiper.com/v1/organizations/{org_id}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "role": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "is_system": true
  },
  "user": {
    "email": "jsmith@example.com",
    "first_name": "<string>",
    "last_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_active": true,
    "timezone": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "invited_at": "2023-11-07T05:31:56Z"
  },
  "organization": {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "business_information": "<string>",
    "timezone": "<string>",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Schema for adding a member to an organization.

email
string
required
role_id
string<uuid>
required

Role ID to assign to the member

Response

Successful Response

Schema for reading organization member data.

id
string<uuid>
required
user_id
string<uuid>
required
organization_id
string<uuid>
required
role_id
string<uuid>
required
created_at
string<date-time>
required
role
RoleInfo · object

Basic role information for member responses.

user
UserRead · object

Schema for reading user data (response).

organization
OrganizationRead · object

Schema for reading organization data (response).